Describe snapshot
curl --request GET \
--url https://api.omnistrate.cloud/2022-09-01-00/resource-instance/snapshot/{id} \
--header 'Cookie: <cookie>'import requests
url = "https://api.omnistrate.cloud/2022-09-01-00/resource-instance/snapshot/{id}"
headers = {"Cookie": "<cookie>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Cookie: '<cookie>'}};
fetch('https://api.omnistrate.cloud/2022-09-01-00/resource-instance/snapshot/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshotId": "<string>",
"sourceInstanceId": "<string>",
"snapshotType": "<string>",
"status": "<string>",
"progress": 123,
"encrypted": true,
"cloudProvider": "<string>",
"region": "<string>",
"createdTime": "<string>",
"completeTime": "<string>",
"serviceId": "<string>",
"serviceName": "<string>",
"productTierId": "<string>",
"productTierName": "<string>",
"productTierVersion": "<string>",
"subscriptionId": "<string>",
"outputParams": [
{}
],
"snapshotMetadata": {}
}Snapshots
Describe snapshot
Retrieve the details and progress of a snapshot.
GET
/
2022-09-01-00
/
resource-instance
/
snapshot
/
{id}
Describe snapshot
Returns a single snapshot, including its completion progress.
Authorization
Path parameters
string
required
ID of the snapshot.
Query parameters
string
Subscription that owns the snapshot.
Response
string
ID of the snapshot.
string
ID of the deployment instance the snapshot was taken from.
string
ManualSnapshot or AutomatedSnapshot.string
Status of the snapshot.
number
Backup progress, from 0 to 100.
boolean
Whether the snapshot is encrypted.
string
Cloud provider that stores the snapshot.
string
Region the snapshot is stored in.
string
Time the snapshot was started.
string
Time the snapshot completed.
string
ID of the service.
string
Name of the service.
string
ID of the product tier.
string
Name of the product tier.
string
Version of the product tier the snapshot was taken on.
string
ID of the subscription that owns the snapshot.
object[]
Custom output parameters recorded with the snapshot.
object
Additional metadata stored for the snapshot.
Errors
See Error for the error response shape.Was this page helpful?